## obs-studio 31.1.2

=== debian/changelog ===
obs-studio (31.1.2-0obsproject1~plucky) plucky; urgency=low

  OBS Studio 31.1.2

  Note: The code signing certificate for OBS has been updated. This may impact game capture compatibility with some anti-cheat solutions with this OBS update. If you are a game or anti-cheat developer please see https://obsproject.com/kb/capture-hook-certificate-update for more information.

  31.1.2 Hotfix Changes

  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 causing Multitrack Video to set the Maximum Video Tracks to 10 if the user had set it to "Auto" [dsaedtler]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 causing Browser Source hardware acceleration to fail in the Flatpak version [reitowo/tytan652]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 where progress bars were styled incorrectly [Warchamp7]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 where spacing around scrollbars was incorrect [Warchamp7]
  * Fixed a freeze in OBS Studio 31.1.0 and 31.1.1 on Linux when using PipeWire capture with explicit sync [YaLTeR]
  * Fixed an issue where Video Capture Devices on Linux could unexpectedly stop capturing video [JiangXsong]
  * Fixed an issue with PipeWire capture on Linux where video filters could cause gamma shift [tytan652]
  * This was done by reverting a fix for white-tinted PipeWire captures in 10-bit or 16-bit color formats, so that issue will return for now.
  
  31.1.1 Hotfix Changes

  * Fixed a crash when using YouTube browser docks [Warchamp7]
  * Fixed an issue causing RTMPS streams to fail in some cases [RytoEX]
  * Fixed an issue causing Media Sources ingesting SRT streams to fail in some cases [RytoEX]
  * Fixed an issue causing Browser Source hardware acceleration to fail on Linux [reitowo/tytan652]

  31.1 New Features

  * Added support for Windows on Arm (WoA) [thirumalai-qcom/PatTheMav/RytoEX]
  * Builds for WoA are not fully featured and should be considered experimental
  * For more information, see: https://obsproject.com/kb/windows-on-arm
  * Added new UI appearance options, font size and density (padding/spacing) [Warchamp7]
  * Added preview zoom controls [cg2121/Warchamp7]
  * Added support for Multitrack Video to macOS (Apple Silicon) [dsaedtler]
  * Added support for Multitrack Video to Linux [lexano-ivs]
  * Added support for additional canvases for Multitrack Video output [dsaedtler]
  * Added AV1 B-frame support for AMF [rhutsAMD]
  * Added support for color format/space/range GPU conversion [dsaedtler]
  * Added support for network optimizations and TCP Pacing to Multitrack Video [lexano-ivs]
  * Added support for Stream Delay to Multitrack Video [lexano-ivs]
  * Added Spatial AQ option for VideoToolbox encoders on macOS 15+ [dsaedtler]
  * Added QVBR rate control for VA-API [nowrep]
  * Added explicit sync support for PipeWire Screen Capture [dkorkmazturk]
  * Added support for V4L2 virtual camera on non-Linux environments (e.g., BSD) [yurivict]
  * Added support for hardware accelerated browser source to Linux [tytan652]
  * The feature is disabled on NVIDIA GPUs due to feature-support inconsistencies across model series and driver series

  31.1 Changes

  * Updated game capture hook signatures on Windows [derrod]
  * This update fixes game capture with games from Riot Games that use Vanguard
  * Added logging for streaming service recommended settings [prgmitchell]
  * Adjusted appearance of Scene Collection importer [Warchamp7]
  * Adjusted appearance of Sources list [Warchamp7]
  * Adjusted appearance of dock toolbars [Warchamp7]
  * Adjusted Missing Files dialog [Warchamp7]
  * Added support for recursive directory searches up to two levels deep
  * Adjusted the size, layout, and other UI aspects of the dialog
  * Fixed a bug when locating only a single file that caused the additional files prompt to appear twice
  * Reorganized Preview/Source context menu [Warchamp7]
  * Unified appearance of menus [Warchamp7]
  * Improved preview draw performance [Lain-B]
  * Increased maximum crash report size to 200 KB [WizardCM]
  * Adjusted Multitrack Video reconnection behavior [dsaedtler]
  * Changed hotkeys on macOS to require Input Monitoring permission instead of Accessibility [gxalpha]
  * Updated Video Capture Devices and Capture Card Devices on macOS to a unified list-based format selector when not using a preset [jcm93/PatTheMav/Warchamp7]
  * Removed the Exit button from the Controls dock [Warchamp7]

  31.1 Bug Fixes

  * Fixed a crash with Media Sources with no video frame size, such as audio files [RytoEX/jeiea]
  * Fixed a crash on Windows with Display Capture if no display is available [RytoEX]
  * Fixed a crash on Windows with Vulkan Direct Display if OBS Studio is installed [mbechard]
  * Fixed a crash on Windows when importing a profile with a Unicode path [PatTheMav]
  * Fixed a crash on macOS 13 or older when a Browser Source or Browser Dock was added or loaded [jcm93/PatTheMav/RytoEX]
  * Fixed a race condition that caused subsequent recordings to fail/hang after an encoder timeout [derrod]
  * Fixed a freeze if an item was cropped further than its original dimensions [Lain-B]
  * Fixed a possible crash in Multitrack Video output [lexano-ivs]
  * Fixed a possible crash when reordering scene items [zavitax]
  * Fixed a possible crash when adding a procedure handler [norihiro]
  * Fixed a possible crash on shutdown from browser panels on Windows and macOS [WizardCM]
  * Fixed a possible race condition when loading sources [Lain-B]
  * Fixed a possible deadlock on Linux when checking if plugins were built against Qt5 [norihiro]
  * Fixed an issue with Rescale Output allowing invalid resolutions [flaeri]
  * Fixed an issue with browser source audio distortion on Windows [xtfo]
  * Fixed a possible packet loss issue with WebRTC output [Sean-Der]
  * Fixed R10L format output having bad RGB values [jpark37]
  * Fixed lookahead depth value logging for NVENC [DeeDeeG]
  * Fixed manifest commit hash comparison in updater [dsaedtler]

