=== debian/rules ===
#!/usr/bin/make -f

BASE_DIR := $(CURDIR)
CEF_DIR := $(BASE_DIR)/build_dependencies/cef_binary_6533_linux_x86_64_stripped
AJA_DIR := $(BASE_DIR)/build_dependencies/aja
 
%:
		dh $@
override_dh_auto_configure:
		dh_auto_configure -- -DOBS_VERSION_OVERRIDE="31.1.2" -DTWITCH_CLIENTID='unla3~mb`xq9`1dhr?1lhhg`65mah0' -DTWITCH_HASH='2D4A98C454B4B0B6' -DRESTREAM_CLIENTID='ml6b16ec(n9?1#9g?m#>9f0,gnkojhhd;oh6' -DRESTREAM_HASH='2DE8E8C514397EE9' -DYOUTUBE_CLIENTID='153066229607$$;a7mw2ig756r?vc<f{`3tr3|i4gq167?$$lrpw,``jbnerwb{ibltals!fjo' -DYOUTUBE_CLIENTID_HASH='2DA97470255F7240' -DYOUTUBE_SECRET=';kV4NTXP5r>D`7bdLO^>gT8U' -DYOUTUBE_SECRET_HASH='F6215E72FC78C76F' -DENABLE_PIPEWIRE=ON -DENABLE_AJA=ON -DENABLE_NEW_MPEGTS_OUTPUT=ON -DCMAKE_PREFIX_PATH=$(AJA_DIR) -DCEF_ROOT_DIR=$(CEF_DIR) -DCMAKE_BUILD_TYPE=Release -DENABLE_WEBRTC=OFF -DENABLE_LIBFDK=ON -DENABLE_JACK=ON -DENABLE_RTMPS=ON -DENABLE_BROWSER=ON -DOBS_CMAKE_VERSION=3
