=== docs/sphinx/requirements.txt ===
sphinx>=1.3
sphinx_rtd_theme>=0.5.2
