=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Carl Fürstenberg <azatoth@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-scour,
 dpkg-dev (>= 1.22.5),
 extra-cmake-modules,
 cmake,
 gir1.2-rsvg-2.0,
 libasio-dev,
 libasound2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcmocka-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libdrm-dev,
 libegl-dev,
#libfdk-aac-dev,
 libffmpeg-nvenc-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libglvnd-dev,
 libjack-jackd2-dev,
 libjansson-dev,
 libluajit-5.1-dev,
 libmbedtls-dev,
 libopengl-dev,
 libpci-dev,
 libpipewire-0.3-dev,
 libpulse-dev,
 libqrcodegencpp-dev,
 librist-dev,
 libsimde-dev,
 libspeexdsp-dev,
 libsrt-openssl-dev,
 libswresample-dev,
 libswscale-dev,
 libudev-dev,
 libv4l-dev,
 libva-dev,
 libvlc-dev,
 libvpl-dev [amd64],
 libwayland-dev,
 libwebsocketpp-dev,
 libx11-dev,
 libx11-xcb-dev,
 libx264-dev,
 libxcb-composite0-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinerama0-dev,
 libxcb-xinput-dev,
 libxcb1-dev,
 libxcomposite-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxss-dev,
 ninja-build,
 nlohmann-json3-dev,
 pkgconf | pkg-config,
 python3-dev,
 python3-docutils,
 python3-gi-cairo,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-svg-dev,
 swig,
 uthash-dev,
Standards-Version: 4.7.2
Homepage: https://obsproject.com
Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
Rules-Requires-Root: no

Package: obs-studio
Architecture: any
Depends:
 qt6-image-formats-plugins,
 qt6-wayland,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 obs-plugins (= ${binary:Version}),
Suggests:
 pkexec | policykit-1,
 v4l2loopback-dkms,
Breaks:
 obs-websocket (<< 4.9.0-2.1~),
Replaces:
 obs-websocket (<< 4.9.0-2.1~),
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Built-Using:
 ${simde:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 vlc,
Multi-Arch: same
Description: recorder and streamer for live video content (plugins)
 OBS Studio is designed for efficiently recording and streaming live
 video content. It supports live RTP streaming to various streaming sites.
 .
 This package contains some extra plugins (ALSA, JACK, PipeWire, DeckLink,
 VLC).

Package: libobs0t64
Provides:
 ${t64:Provides},
Replaces:
 libobs0,
Breaks:
 libobs0 (<< ${source:Version}),
Multi-Arch: same
Section: libs
Architecture: any
Built-Using:
 ${simde:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends:
 libobs0t64 (= ${binary:Version}),
 libsimde-dev,
 libx11-dev,
 ${misc:Depends},
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.
