## obs-studio 32.0.3

=== debian/changelog ===
obs-studio (32.0.3-0ubuntu2) resolute; urgency=medium

  * Rebuild with amd64v3 support

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Dec 2025 17:13:19 -0800

obs-studio (32.0.3-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * d/control: Only build for supported architectures

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Dec 2025 17:02:38 -0800
