## obs-studio 32.0.4

=== debian/changelog ===
obs-studio (32.0.4-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Dec 2025 14:13:43 +0000

obs-studio (32.0.4-0ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 13 Dec 2025 14:59:26 -0800
