## obs-studio 32.0.4+ds

=== debian/changelog ===
obs-studio (32.0.4+ds-1~exp1) experimental; urgency=medium

  * New upstream version 32.0.4+ds
    + Drop obsolete patches
    + Refresh patches
  * libobs0t64
    + Update symbols file
    + Force soname to 0 (upstream changes ABI but does not bump soname)
  * Re-introduce B-D on libvpl-dev (on amd64), as it is no longer unused.
  * Sort patches: first code, then buildsystem
  * Fix another 32bit FTBFS
  * Re-include 'obs-qsv11' plugin (the license problem has been resolved)
  * Install obs-nvenc-test helper binary into private location
  * Move arch-independent files into obs-studio-common
  * Depend on polkitd rather than deprecated policykit-1
  * Strip internal compiler flags from pkg-config files
  * Skip 'make test' as upstream no longer has a test-suite
  * Slightly restructure setting of additional CPPFLAGS
  * Update Build-Dependencies
    - Drop B-D on obsolete pkg-config
  * Update copyright information
    + Update licenses
    + Drop obsolete excluded files
    + Re-generate d/copyright_hints
  * Remove trailing whitespace from d/changelog
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 21 Feb 2026 21:34:38 +0100

obs-studio (30.2.3+dfsg-4) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused libvpl (Closes: #1121381)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Acknowldge NMUs (Kudos Adrian Bunk)
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 21 Feb 2026 11:29:03 +0100

obs-studio (30.2.3+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with FFmpeg 8. (Closes: #1115044)

 -- Adrian Bunk <bunk@debian.org>  Sat, 03 Jan 2026 19:53:40 +0200
