=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: obs-studio
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Carl Fürstenberg <azatoth@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -11,8 +9,8 @@
  dh-sequence-python3,
  dh-sequence-scour,
  dpkg-dev (>= 1.22.5),
+ cmake,
  extra-cmake-modules,
- cmake,
  gir1.2-rsvg-2.0,
  libasio-dev,
  libasound2-dev,
@@ -69,7 +67,7 @@
  libxss-dev,
  ninja-build,
  nlohmann-json3-dev,
- pkgconf | pkg-config,
+ pkgconf,
  python3-dev,
  python3-docutils,
  python3-gi-cairo,
@@ -78,15 +76,16 @@
  qt6-svg-dev,
  swig,
  uthash-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com
 Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
 Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
-Rules-Requires-Root: no
 
 Package: obs-studio
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Depends:
+ obs-studio-common (<< ${source:Upstream-Version}+1~),
+ obs-studio-common (>= ${source:Version}),
  qt6-image-formats-plugins,
  qt6-wayland,
  ${misc:Depends},
@@ -95,7 +94,7 @@
 Recommends:
  obs-plugins (= ${binary:Version}),
 Suggests:
- pkexec | policykit-1,
+ pkexec | polkitd,
  v4l2loopback-dkms,
 Breaks:
  obs-websocket (<< 4.9.0-2.1~),
@@ -114,8 +113,27 @@
  .
  Note that OBS Studio requires an OpenGL 3.2 compatible video card.
 
+Package: obs-studio-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Recommends:
+ obs-studio,
+Description: recorder and streamer for live video content (common files)
+ OBS Studio is designed for efficiently recording and streaming live video
+ content. It supports live RTP streaming to various streaming sites.
+ .
+ Other features include:
+  * Encoding using H264 (x264) and AAC
+  * Unlimited number of scenes and sources
+  * File output to MP4 or FLV
+  * GPU-based game capture for high performance game streaming
+  * Bilinear or lanczos3 resampling
+ .
+ This package contains the architecture independent files for obs-studio.
+
 Package: obs-plugins
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -140,7 +158,7 @@
  libobs0 (<< ${source:Version}),
 Multi-Arch: same
 Section: libs
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -154,7 +172,7 @@
 
 Package: libobs-dev
 Section: libdevel
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Depends:
  libobs0t64 (= ${binary:Version}),
  libsimde-dev,
