=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 
 CONFIG=None
 
-export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
-deb_cflags+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -fvisibility=hidden
+deb_cflags=
+deb_cflags+=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
+deb_cflags+=-DNVENC_TEST_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/obs-nvenc-test\"
+
+deb_cflags+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd
+
+deb_cflags+=-O3 -fvisibility=hidden
 deb_cflags+=-Wno-error=deprecated-declarations
 
 confflags  =
@@ -30,8 +35,9 @@
 confflags += -DENABLE_SIMD=FALSE
 deb_cflags+=-Wno-error=psabi
 endif
+
+export DEB_CPPFLAGS_MAINT_APPEND=$(deb_cflags)
 DEB_CFLAGS_MAINT_APPEND+=$(deb_cflags)
-DEB_CPPFLAGS_MAINT_APPEND+=$(deb_cflags)
 
 
 BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
@@ -49,16 +55,24 @@
 
 
 override_dh_auto_test:
-#	LD_LIBRARY_PATH=$(BUILDDIR)/rundir/$(CONFIG)/lib/$(DEB_HOST_MULTIARCH) dh_auto_test
-#	Diabled for now until someone can figure out what they did with the tests
+#LD_LIBRARY_PATH=$(BUILDDIR)/rundir/$(CONFIG)/lib/$(DEB_HOST_MULTIARCH) dh_auto_test
 
 execute_after_dh_auto_install:
+# fix permissions
 	-find debian/tmp -type f -name "*.pem" -exec chmod a-x {} +
+# helper binary for obs-plugin
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg
 	mv debian/tmp/usr/bin/obs-ffmpeg-mux \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux
-execute_after_dh_install:
-	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/
+# helper binary for obs-nvenc
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/
+	mv debian/tmp/usr/bin/obs-nvenc-test \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/
+# stray license file
+	rm -rf debian/tmp/usr/share/obs/obs-studio/license
+# drop CFLAGS from pkg-config files
+	-find debian/tmp -type f -name "*.pc" -exec \
+		sed -e 's| -fPIC | |g' -e 's| -fvisibility=hidden | |g' -e 's/ -Werror$$//' -i {} +
 
 execute_before_dh_shlibdeps:
 	echo "libobs 0 libobs0t64 (= $(DEB_VERSION))" > debian/shlibs.local
